Summary: The /proc file system utilities.
Name: hhl-target-procps
Version: 2.0.7
Release: %{_hhl_build_id}.3
Source: procps_2.0.7.orig.tar.gz
Source1: procps.tmpl
Patch: procps_%{version}-3.diff.gz
Patch1: procps-initd.diff
License: GPL/LGPL
Group: base
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

%description
These are utilities to browse the /proc filesystem, which is not a real file
system but a way for the kernel to provide information about the status of
entries in its process table. (e.g. running, stopped or "zombie")
Both command line and full screen utilities are provided. Ncurses is needed
for the full screen utilities.

# Primary package
%package -n hhl-%{_hhl_target_arch}-procps
Summary: The /proc file system utilities.
Group: base
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-procps
These are utilities to browse the /proc filesystem, which is not a real file
system but a way for the kernel to provide information about the status of
entries in its process table. (e.g. running, stopped or "zombie")
Both command line and full screen utilities are provided. Ncurses is needed
for the full screen utilities.

%prep
%target_check
%setup -n procps-%{version}.orig
%patch -p1
%patch1 -p1

%build
%target_setup
#sort-of cheating here..

sed -e "s/gcc/\$\(CC\)/" < proc/Makefile > Makefile.tmp
mv Makefile.tmp proc/Makefile

make CC=$CC AR=$AR INCDIRS= | tee -a build.log

%install
rm -rf %{buildroot}
%target_setup

mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/bin
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/sbin
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/lib
export DESTDIR=%{buildroot}%{_hhl_cross_target_dir}
export INSTALLBIN="install --mode a=rx"

sed -e "s/--strip//" < ps/Makefile > Makefile.tmp
mv Makefile.tmp ps/Makefile


export MANDIR=%{_hhl_target_man_dir}
make MANDIR=$MANDIR OWNERGROUP='' DESTDIR=$DESTDIR INSTALLBIN="$INSTALLBIN" install
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/kill %{buildroot}%{_hhl_cross_target_dir}/bin/

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/init.d
install -m 755 debian/procps.sh \
	%{buildroot}%{_hhl_cross_target_dir}/etc/init.d/
install -m 644 debian/sysctl.conf \
	%{buildroot}%{_hhl_cross_target_dir}/etc/

gzip -9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*
cp COPYING LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/procps

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-procps
%defattr(-,root,root)
%config %{_hhl_cross_target_dir}/etc/sysctl.conf
%config %{_hhl_cross_target_dir}/etc/init.d/procps.sh
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/*
%{_hhl_cross_target_dir}/bin/*
%{_hhl_cross_target_dir}/sbin/*
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*
%{_hhl_cross_target_dir}/lib/*
%doc COPYING COPYING.LIB BUGS build.log
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/procps
%doc LICENSE
%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Mar 13 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file

